# SourcePath: traceroute/20170127dev
Summary: Traces the route taken by packets over a TCP/IP network.
Name: sony-target-dev-traceroute
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-traceroute
Version: 2.1.0
Release: 14020101
License: GPLv2
URL: ftp://ftp.lst.de/pub/people/okir/traceroute/
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source: traceroute-2.1.0.tar.gz
Patch0: traceroute-2.1.0-remove-idn.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%define targetroot %{sony_target_dir}

%description
The traceroute utility displays the route used by IP packets on their way to a
specified network (or Internet) host.  Traceroute displays the IP number and
host name (if possible) of the machines along the route taken by the packets.
Traceroute is used as a network debugging tool.  If you're having network
connectivity problems, traceroute will show you where the trouble is coming
from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%package -n %{pkgname}
Summary: Traces the route taken by packets over a TCP/IP network.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The traceroute utility displays the route used by IP packets on their way to a
specified network (or Internet) host.  Traceroute displays the IP number and
host name (if possible) of the machines along the route taken by the packets.
Traceroute is used as a network debugging tool.  If you're having network
connectivity problems, traceroute will show you where the trouble is coming
from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%prep
%setup -n traceroute-%{version} -q
%patch0 -p1

%build
%sony_target_dev_setup
make CC="${CC}" LDFLAGS=" -L../libsupp"

%install
rm -rf ${buildroot}
%sony_target_dev_setup

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

install traceroute/traceroute %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%attr(4755,root,root) %{sony_target_dir}%{sony_target_dev_sbin_dir}/traceroute

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Apr 06 2020 Sony Corporation
- License changed to GPLv2 

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Fri Jan 27 2017 Sony Corporation
- Updated to 2.1.0 

* Mon Apr 01 2013 Sony Corporation
- Updated to 2.0.19 

* Thu Apr 16 2009 Sony Corporation
- Updated to 6.x 

* Tue Jul 24 2007 Sony Corporation
- Change the reference site where maintains the original tarball

* Fri Nov 19 2004 Sony Corporation
- delete online manual

* Fri Aug 20 2004 Sony Corporation - dev-traceroute
- Initial build.  Conformed to 20040825-rule
